Last Comment Bug 555104 - remove JS_ExecuteScriptPart
: remove JS_ExecuteScriptPart
Status: RESOLVED FIXED
fixed-in-tracemonkey
:
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: unspecified
: x86 Linux
: -- normal (vote)
: ---
Assigned To: Luke Wagner [:luke]
:
: Jason Orendorff [:jorendorff]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-25 17:03 PDT by Luke Wagner [:luke]
Modified: 2010-04-07 07:17 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
do it (3.73 KB, patch)
2010-03-25 17:03 PDT, Luke Wagner [:luke]
brendan: review+
Details | Diff | Splinter Review

Description Luke Wagner [:luke] 2010-03-25 17:03:00 PDT
Created attachment 435052 [details] [diff] [review]
do it

It seems like there are no uses; less is more.
Comment 1 Brendan Eich [:brendan] 2010-03-26 19:25:48 PDT
Comment on attachment 435052 [details] [diff] [review]
do it

To quote Arnie, "Hasta la vista, baby".

This was misbegotten from day one. True story: the very first JS impl ("Mocha") would bind global functions (the only kind in Netscape 2) and vars at compile time. Moving all name binding to runtime via the prolog left some old embeddings wanting the compile-binds behavior, so I threw them this bone. I should have thrown a rock.

/be
Comment 2 Luke Wagner [:luke] 2010-03-26 19:40:22 PDT
http://hg.mozilla.org/tracemonkey/rev/e68d2b012d59

Note You need to log in before you can comment on or make changes to this bug.